package com.template.services;

import com.template.model.pojo.SmartApply;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SmartIdentity;
import com.template.model.result.PageUtils;
import com.template.model.vo.ApplyVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartApplyService extends IService<SmartApply> {
    List<ApplyVo> queryApplys();

    int insertSmartApply(SmartApply rns);

    int updateSmartApply(SmartApply rns);

    SmartApply queryApplyByName(String name);

    PageUtils<SmartApply> queryPageSmartApplys(int currentPage, int pageCount, String name);

    int deleteSmartApplyById(int id);

    SmartApply getSmartById(int id);

    List<SmartApply> queryAppletApplys();
}
